Package org.apache.avro.generic

# Class PrimitivesArrays.BooleanArray

java.lang.Object
java.util.AbstractCollection<Boolean>
java.util.AbstractList<Boolean>
org.apache.avro.generic.GenericData.AbstractArray<Boolean>
org.apache.avro.generic.PrimitivesArrays.BooleanArray

All Implemented Interfaces:
  `Comparable<GenericArray<Boolean>>`, `Iterable<Boolean>`, `Collection<Boolean>`, `List<Boolean>`, `GenericArray<Boolean>`, `GenericContainer`

Enclosing class:
  `PrimitivesArrays`

public static class PrimitivesArrays.BooleanArray extends GenericData.AbstractArray<Boolean>

## Field Summary

### Fields inherited from class org.apache.avro.generic.GenericData.AbstractArray

`size`

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`BooleanArray(int capacity, Schema schema)`
`BooleanArray(Schema schema, Collection<Boolean> c)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(boolean o)`
`void`
`add(int location, boolean o)`
`void`
`add(int location, Boolean o)`
`boolean`
`add(Boolean o)`
`void`
`clear()`
`Boolean`
`get(int i)`
`boolean`
`getBoolean(int i)`
Direct primitive int access.
`Boolean`
`peek()`
The current content of the location where `List.add(Object)` would next store an element, if any.
`Boolean`
`remove(int i)`
`boolean`
`set(int i, boolean o)`
`Boolean`
`set(int i, Boolean o)`
`protected void`
`swap(int index1, int index2)`

### Methods inherited from class org.apache.avro.generic.GenericData.AbstractArray

`compareTo, equals, getSchema, hashCode, iterator, reset, reverse, size`

### Methods inherited from class java.util.AbstractList

`addAll, indexOf, lastIndexOf, listIterator, listIterator, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.apache.avro.generic.GenericArray

`prune`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, addAll, contains, containsAll, indexOf, isEmpty, lastIndexOf, listIterator, listIterator, remove, removeAll, replaceAll, retainAll, sort, spliterator, subList, toArray, toArray`

## Constructor Details

### BooleanArray

public BooleanArray(int capacity, Schema schema)

### BooleanArray

public BooleanArray(Schema schema, Collection<Boolean> c)

## Method Details

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<Boolean>`
Specified by:
  `clear` in interface `List<Boolean>`
Overrides:
  `clear` in class `AbstractList<Boolean>`

### get

public Boolean get(int i)

Specified by:
  `get` in interface `List<Boolean>`
Specified by:
  `get` in class `AbstractList<Boolean>`

### getBoolean

public boolean getBoolean(int i)
Direct primitive int access.

Parameters:
  `i` - : index.
Returns:
  value at index.

### add

public boolean add(Boolean o)

Specified by:
  `add` in interface `Collection<Boolean>`
Specified by:
  `add` in interface `List<Boolean>`
Overrides:
  `add` in class `AbstractList<Boolean>`

### add

public boolean add(boolean o)

### add

public void add(int location, Boolean o)

Specified by:
  `add` in interface `List<Boolean>`
Overrides:
  `add` in class `AbstractList<Boolean>`

### add

public void add(int location, boolean o)

### set

public Boolean set(int i, Boolean o)

Specified by:
  `set` in interface `List<Boolean>`
Overrides:
  `set` in class `AbstractList<Boolean>`

### set

public boolean set(int i, boolean o)

### remove

public Boolean remove(int i)

Specified by:
  `remove` in interface `List<Boolean>`
Overrides:
  `remove` in class `AbstractList<Boolean>`

### peek

public Boolean peek()
Description copied from interface: `GenericArray`
The current content of the location where `List.add(Object)` would next store an element, if any. This permits reuse of arrays and their elements without allocating new objects.

### swap

protected void swap(int index1, int index2)

Specified by:
  `swap` in class `GenericData.AbstractArray<Boolean>`